Imports System 
Imports System.windows.forms
Imports GTA
Imports System.Drawing
Public Class policeweapons

    Inherits Script

    Public Sub New()
        Me.Interval = 5000
    End Sub
    Private gunflag As Byte
    Shadows Sub keyDown(ByVal sender As Object, ByVal e As GTA.KeyEventArgs) Handles MyBase.KeyDown
       
    End Sub

    Shadows Sub keyUp(ByVal sender As Object, ByVal e As GTA.KeyEventArgs) Handles MyBase.KeyUp
    End Sub

    Private Sub general_tick(ByVal sender As Object, ByVal e As EventArgs) Handles MyBase.Tick
        Dim fatcops As Ped(), fatcop As Ped, cops As Ped(), cop As Ped, stroopers As Ped(), strooper As Ped, trcops As Ped(), trcop As Ped
        If Player.WantedLevel = 1 Then
            fatcops = World.GetAllPeds("M_M_Fatcop_01")
            For Each fatcop In fatcops
                fatcop.Weapons.RemoveAll()
                fatcop.Weapons(Weapon.Episodic_04).Select()
            Next
            cops = World.GetAllPeds("M_Y_Cop")
            For Each cop In cops
                cop.Weapons.RemoveAll()
                cop.Weapons(Weapon.Episodic_04).Select()
            Next
            stroopers = World.GetAllPeds("M_Y_Strooper")
            For Each strooper In stroopers
                strooper.Weapons.RemoveAll()
                strooper.Weapons(Weapon.Episodic_04).Select()
            Next
            trcops = World.GetAllPeds("M_Y_Cop_Traffic")
            For Each trcop In trcops
                trcop.Weapons.RemoveAll()
                trcop.Weapons(Weapon.Episodic_04).Select()
            Next

        ElseIf Player.WantedLevel = 3 Then      '---------3 GRADOS DE BÚSQUEDA Y CAPTURA-------
            fatcops = World.GetAllPeds("M_M_Fatcop_01")
            For Each fatcop In fatcops
                If gunflag = 0 And fatcop.Money <> 5 Then
                    fatcop.Weapons.RemoveAll()
                    fatcop.Weapons(Weapon.Episodic_09).Ammo = 999
                    fatcop.Money = 5
                ElseIf gunflag = 1 And fatcop.Money <> 5 Then
                    fatcop.Weapons.RemoveAll()
                    fatcop.Weapons(Weapon.Episodic_07).Ammo = 999
                    fatcop.Money = 5
                ElseIf gunflag = 2 And fatcop.Money <> 5 Then
                    fatcop.Weapons.RemoveAll()
                    fatcop.Weapons(Weapon.Handgun_DesertEagle).Ammo = 999
                    fatcop.Money = 5
                ElseIf gunflag = 3 And fatcop.Money <> 5 Then
                    fatcop.Weapons.RemoveAll()
                    fatcop.Weapons(Weapon.Handgun_Glock).Ammo = 999
                    fatcop.Money = 5
                End If
            Next

            cops = World.GetAllPeds("M_Y_Cop")
            For Each cop In cops
                If gunflag = 0 And cop.Money <> 5 Then
                    cop.Weapons.RemoveAll()
                    cop.Weapons(Weapon.Handgun_Glock).Ammo = 999
                    cop.Money = 5
                ElseIf gunflag = 1 And cop.Money <> 5 Then
                    cop.Weapons.RemoveAll()
                    cop.Weapons(Weapon.Episodic_09).Ammo = 999
                    cop.Money = 5
                ElseIf gunflag = 2 And cop.Money <> 5 Then
                    cop.Weapons.RemoveAll()
                    cop.Weapons(Weapon.Episodic_07).Ammo = 999
                    cop.Money = 5
                ElseIf gunflag = 3 And cop.Money <> 5 Then
                    cop.Weapons.RemoveAll()
                    cop.Weapons(Weapon.Handgun_DesertEagle).Ammo = 999
                    cop.Money = 5
                End If
            Next

            stroopers = World.GetAllPeds("M_Y_Strooper")
            For Each strooper In stroopers
                If gunflag = 0 And strooper.Money <> 5 Then
                    strooper.Weapons.RemoveAll()
                    strooper.Weapons(Weapon.Handgun_DesertEagle).Ammo = 999
                    strooper.Money = 5
                ElseIf gunflag = 1 And strooper.Money <> 5 Then
                    strooper.Weapons.RemoveAll()
                    strooper.Weapons(Weapon.Handgun_Glock).Ammo = 999
                    strooper.Money = 5
                ElseIf gunflag = 2 And strooper.Money <> 5 Then
                    strooper.Weapons.RemoveAll()
                    strooper.Weapons(Weapon.Episodic_09).Ammo = 999
                    strooper.Money = 5
                ElseIf gunflag = 3 And strooper.Money <> 5 Then
                    strooper.Weapons.RemoveAll()
                    strooper.Weapons(Weapon.Episodic_07).Ammo = 999
                    strooper.Money = 5
                End If
            Next

            trcops = World.GetAllPeds("M_Y_Cop_Traffic")
            For Each trcop In trcops
                If gunflag = 0 And trcop.Money <> 5 Then
                    trcop.Weapons.RemoveAll()
                    trcop.Weapons(Weapon.Episodic_07).Ammo = 999
                    trcop.Money = 5
                ElseIf gunflag = 1 And trcop.Money <> 5 Then
                    trcop.Weapons.RemoveAll()
                    trcop.Weapons(Weapon.Handgun_DesertEagle).Ammo = 999
                    trcop.Money = 5
                ElseIf gunflag = 2 And trcop.Money <> 5 Then
                    trcop.Weapons.RemoveAll()
                    trcop.Weapons(Weapon.Handgun_Glock).Ammo = 999
                    trcop.Money = 5
                ElseIf gunflag = 3 And trcop.Money <> 5 Then
                    trcop.Weapons.RemoveAll()
                    trcop.Weapons(Weapon.Episodic_09).Ammo = 999
                    trcop.Money = 5
                End If
            Next

            gunflag += 1
            If gunflag = 4 Then
                gunflag = 0
            End If


        ElseIf Player.WantedLevel = 4 Then      '---------4 GRADOS DE BUSQUEDA Y CAPUTRA--------
            Dim nooses As Ped(), noose As Ped

            fatcops = World.GetAllPeds("M_M_Fatcop_01")
            For Each fatcop In fatcops
                If gunflag = 0 And fatcop.Money <> 5 Then
                    fatcop.Weapons.RemoveAll()
                    fatcop.Weapons(Weapon.Episodic_09).Ammo = 999
                    fatcop.Money = 5
                ElseIf gunflag = 1 And fatcop.Money <> 5 Then
                    fatcop.Weapons.RemoveAll()
                    fatcop.Weapons(Weapon.Episodic_06).Ammo = 999
                    fatcop.Money = 5
                ElseIf gunflag = 2 And fatcop.Money <> 5 Then
                    fatcop.Weapons.RemoveAll()
                    fatcop.Weapons(Weapon.Episodic_07).Ammo = 999
                    fatcop.Money = 5
                ElseIf gunflag = 3 And fatcop.Money <> 5 Then
                    fatcop.Weapons.RemoveAll()
                    fatcop.Weapons(Weapon.SMG_Uzi).Ammo = 999
                    fatcop.Money = 5
                ElseIf gunflag = 4 And fatcop.Money <> 5 Then
                    fatcop.Weapons.RemoveAll()
                    fatcop.Weapons(Weapon.Handgun_DesertEagle).Ammo = 999
                    fatcop.Money = 5
                ElseIf gunflag = 5 And fatcop.Money <> 5 Then
                    fatcop.Weapons.RemoveAll()
                    fatcop.Weapons(Weapon.Shotgun_Basic).Ammo = 999
                    fatcop.Money = 5
                ElseIf gunflag = 6 And fatcop.Money <> 5 Then
                    fatcop.Weapons.RemoveAll()
                    fatcop.Weapons(Weapon.Handgun_Glock).Ammo = 999
                    fatcop.Money = 5
                End If
            Next

            cops = World.GetAllPeds("M_Y_Cop")
            For Each cop In cops
                If gunflag = 0 And cop.Money <> 5 Then
                    cop.Weapons.RemoveAll()
                    cop.Weapons(Weapon.Handgun_Glock).Ammo = 999
                    cop.Money = 5
                ElseIf gunflag = 1 And cop.Money <> 5 Then
                    cop.Weapons.RemoveAll()
                    cop.Weapons(Weapon.Episodic_09).Ammo = 999
                    cop.Money = 5
                ElseIf gunflag = 2 And cop.Money <> 5 Then
                    cop.Weapons.RemoveAll()
                    cop.Weapons(Weapon.Episodic_06).Ammo = 999
                    cop.Money = 5
                ElseIf gunflag = 3 And cop.Money <> 5 Then
                    cop.Weapons.RemoveAll()
                    cop.Weapons(Weapon.Episodic_07).Ammo = 999
                    cop.Money = 5
                ElseIf gunflag = 4 And cop.Money <> 5 Then
                    cop.Weapons.RemoveAll()
                    cop.Weapons(Weapon.SMG_Uzi).Ammo = 999
                    cop.Money = 5
                ElseIf gunflag = 5 And cop.Money <> 5 Then
                    cop.Weapons.RemoveAll()
                    cop.Weapons(Weapon.Handgun_DesertEagle).Ammo = 999
                    cop.Money = 5
                ElseIf gunflag = 6 And cop.Money <> 5 Then
                    cop.Weapons.RemoveAll()
                    cop.Weapons(Weapon.Shotgun_Basic).Ammo = 999
                    cop.Money = 5
                End If
            Next

            stroopers = World.GetAllPeds("M_Y_Strooper")
            For Each strooper In stroopers
                If gunflag = 0 And strooper.Money <> 5 Then
                    strooper.Weapons.RemoveAll()
                    strooper.Weapons(Weapon.Handgun_DesertEagle).Ammo = 999
                    strooper.Money = 5
                ElseIf gunflag = 1 And strooper.Money <> 5 Then
                    strooper.Weapons.RemoveAll()
                    strooper.Weapons(Weapon.Shotgun_Basic).Ammo = 999
                    strooper.Money = 5
                ElseIf gunflag = 2 And strooper.Money <> 5 Then
                    strooper.Weapons.RemoveAll()
                    strooper.Weapons(Weapon.Handgun_Glock).Ammo = 999
                    strooper.Money = 5
                ElseIf gunflag = 3 And strooper.Money <> 5 Then
                    strooper.Weapons.RemoveAll()
                    strooper.Weapons(Weapon.Episodic_09).Ammo = 999
                    strooper.Money = 5
                ElseIf gunflag = 4 And strooper.Money <> 5 Then
                    strooper.Weapons.RemoveAll()
                    strooper.Weapons(Weapon.Episodic_06).Ammo = 999
                    strooper.Money = 5
                ElseIf gunflag = 5 And strooper.Money <> 5 Then
                    strooper.Weapons.RemoveAll()
                    strooper.Weapons(Weapon.Episodic_07).Ammo = 999
                    strooper.Money = 5
                ElseIf gunflag = 6 And strooper.Money <> 5 Then
                    strooper.Weapons.RemoveAll()
                    strooper.Weapons(Weapon.SMG_Uzi).Ammo = 999
                    strooper.Money = 5
                End If
            Next

            trcops = World.GetAllPeds("M_Y_Cop_Traffic")
            For Each trcop In trcops
                If gunflag = 0 And trcop.Money <> 5 Then
                    trcop.Weapons.RemoveAll()
                    trcop.Weapons(Weapon.Episodic_07).Ammo = 999
                    trcop.Money = 5
                ElseIf gunflag = 1 And trcop.Money <> 5 Then
                    trcop.Weapons.RemoveAll()
                    trcop.Weapons(Weapon.SMG_Uzi).Ammo = 999
                    trcop.Money = 5
                ElseIf gunflag = 2 And trcop.Money <> 5 Then
                    trcop.Weapons.RemoveAll()
                    trcop.Weapons(Weapon.Handgun_DesertEagle).Ammo = 999
                    trcop.Money = 5
                ElseIf gunflag = 3 And trcop.Money <> 5 Then
                    trcop.Weapons.RemoveAll()
                    trcop.Weapons(Weapon.Shotgun_Basic).Ammo = 999
                    trcop.Money = 5
                ElseIf gunflag = 4 And trcop.Money <> 5 Then
                    trcop.Weapons.RemoveAll()
                    trcop.Weapons(Weapon.Handgun_Glock).Ammo = 999
                    trcop.Money = 5
                ElseIf gunflag = 5 And trcop.Money <> 5 Then
                    trcop.Weapons.RemoveAll()
                    trcop.Weapons(Weapon.Episodic_09).Ammo = 999
                    trcop.Money = 5
                ElseIf gunflag = 6 And trcop.Money <> 5 Then
                    trcop.Weapons.RemoveAll()
                    trcop.Weapons(Weapon.Episodic_06).Ammo = 999
                    trcop.Money = 5
                End If
            Next

            nooses = World.GetAllPeds("M_Y_Swat")
            For Each noose In nooses
                If gunflag = 0 And noose.Money <> 5 Then
                    noose.Weapons.RemoveAll()
                    noose.Weapons(Weapon.SMG_Uzi).Ammo = 999
                    noose.Money = 5
                ElseIf gunflag = 1 And noose.Money <> 5 Then
                    noose.Weapons.RemoveAll()
                    noose.Weapons(Weapon.Shotgun_Baretta).Ammo = 999
                    noose.Money = 5
                ElseIf gunflag = 2 And noose.Money <> 5 Then
                    noose.Weapons.RemoveAll()
                    noose.Weapons(Weapon.SMG_MP5).Ammo = 999
                    noose.Money = 5
                ElseIf gunflag = 3 And noose.Money <> 5 Then
                    noose.Weapons.RemoveAll()
                    noose.Weapons(Weapon.Episodic_02).Ammo = 999
                    noose.Money = 5
                ElseIf gunflag = 4 And noose.Money <> 5 Then
                    noose.Weapons.RemoveAll()
                    noose.Weapons(Weapon.SMG_Uzi).Ammo = 999
                    noose.Money = 5
                ElseIf gunflag = 5 And noose.Money <> 5 Then
                    noose.Weapons.RemoveAll()
                    noose.Weapons(Weapon.Episodic_11).Ammo = 999
                    noose.Money = 5
                ElseIf gunflag = 6 And noose.Money <> 5 Then
                    noose.Weapons.RemoveAll()
                    noose.Weapons(Weapon.Episodic_12).Ammo = 999
                    noose.Money = 5
                End If
            Next

            gunflag += 1
            If gunflag = 7 Then
                gunflag = 0
            End If


        ElseIf Player.WantedLevel > 4 Then      '------5 O MAS GRADOS DE BÚSQUEDA Y CAPTURA-------
            Dim nooses As Ped(), noose As Ped, fibs As Ped(), fib As Ped

            fatcops = World.GetAllPeds("M_M_Fatcop_01")
            For Each fatcop In fatcops
                If gunflag = 0 And fatcop.Money <> 5 Then
                    fatcop.Weapons.RemoveAll()
                    fatcop.Weapons(Weapon.Episodic_09).Ammo = 999
                    fatcop.Money = 5
                ElseIf gunflag = 1 And fatcop.Money <> 5 Then
                    fatcop.Weapons.RemoveAll()
                    fatcop.Weapons(Weapon.Episodic_06).Ammo = 999
                    fatcop.Money = 5
                ElseIf gunflag = 2 And fatcop.Money <> 5 Then
                    fatcop.Weapons.RemoveAll()
                    fatcop.Weapons(Weapon.Episodic_07).Ammo = 999
                    fatcop.Money = 5
                ElseIf gunflag = 3 And fatcop.Money <> 5 Then
                    fatcop.Weapons.RemoveAll()
                    fatcop.Weapons(Weapon.SMG_Uzi).Ammo = 999
                    fatcop.Money = 5
                ElseIf gunflag = 4 And fatcop.Money <> 5 Then
                    fatcop.Weapons.RemoveAll()
                    fatcop.Weapons(Weapon.Handgun_DesertEagle).Ammo = 999
                    fatcop.Money = 5
                ElseIf gunflag = 5 And fatcop.Money <> 5 Then
                    fatcop.Weapons.RemoveAll()
                    fatcop.Weapons(Weapon.Handgun_Glock).Ammo = 999
                    fatcop.Weapons(Weapon.Shotgun_Basic).Ammo = 999
                    fatcop.Money = 5
                ElseIf gunflag = 6 And fatcop.Money <> 5 Then
                    fatcop.Weapons.RemoveAll()
                    fatcop.Weapons(Weapon.Handgun_Glock).Ammo = 999
                    fatcop.Money = 5
                ElseIf gunflag = 7 And fatcop.Money <> 5 Then
                    fatcop.Weapons.RemoveAll()
                    fatcop.Weapons(Weapon.Handgun_Glock).Ammo = 999
                    fatcop.Weapons(Weapon.Shotgun_Baretta).Ammo = 999
                    fatcop.Money = 5
                End If
            Next

            cops = World.GetAllPeds("M_Y_Cop")
            For Each cop In cops
                If gunflag = 0 And cop.Money <> 5 Then
                    cop.Weapons.RemoveAll()
                    cop.Weapons(Weapon.Handgun_Glock).Ammo = 999
                    cop.Money = 5
                ElseIf gunflag = 1 And cop.Money <> 5 Then
                    cop.Weapons.RemoveAll()
                    cop.Weapons(Weapon.Episodic_09).Ammo = 999
                    cop.Money = 5
                ElseIf gunflag = 2 And cop.Money <> 5 Then
                    cop.Weapons.RemoveAll()
                    cop.Weapons(Weapon.Episodic_06).Ammo = 999
                    cop.Money = 5
                ElseIf gunflag = 3 And cop.Money <> 5 Then
                    cop.Weapons.RemoveAll()
                    cop.Weapons(Weapon.Episodic_07).Ammo = 999
                    cop.Money = 5
                ElseIf gunflag = 4 And cop.Money <> 5 Then
                    cop.Weapons.RemoveAll()
                    cop.Weapons(Weapon.SMG_Uzi).Ammo = 999
                    cop.Money = 5
                ElseIf gunflag = 5 And cop.Money <> 5 Then
                    cop.Weapons.RemoveAll()
                    cop.Weapons(Weapon.Handgun_DesertEagle).Ammo = 999
                    cop.Money = 5
                ElseIf gunflag = 6 And cop.Money <> 5 Then
                    cop.Weapons.RemoveAll()
                    cop.Weapons(Weapon.Handgun_Glock).Ammo = 999
                    cop.Weapons(Weapon.Shotgun_Basic).Ammo = 999
                    cop.Money = 5
                ElseIf gunflag = 7 And cop.Money <> 5 Then
                    cop.Weapons.RemoveAll()
                    cop.Weapons(Weapon.Episodic_12).Ammo = 999
                    cop.Money = 5
                End If
            Next

            stroopers = World.GetAllPeds("M_Y_Strooper")
            For Each strooper In stroopers
                If gunflag = 0 And strooper.Money <> 5 Then
                    strooper.Weapons.RemoveAll()
                    strooper.Weapons(Weapon.Handgun_DesertEagle).Ammo = 999
                    strooper.Money = 5
                ElseIf gunflag = 1 And strooper.Money <> 5 Then
                    strooper.Weapons.RemoveAll()
                    strooper.Weapons(Weapon.Handgun_Glock).Ammo = 999
                    strooper.Weapons(Weapon.Shotgun_Basic).Ammo = 999
                    strooper.Money = 5
                ElseIf gunflag = 2 And strooper.Money <> 5 Then
                    strooper.Weapons.RemoveAll()
                    strooper.Weapons(Weapon.Handgun_Glock).Ammo = 999
                    strooper.Money = 5
                ElseIf gunflag = 3 And strooper.Money <> 5 Then
                    strooper.Weapons.RemoveAll()
                    strooper.Weapons(Weapon.Episodic_09).Ammo = 999
                    strooper.Money = 5
                ElseIf gunflag = 4 And strooper.Money <> 5 Then
                    strooper.Weapons.RemoveAll()
                    strooper.Weapons(Weapon.Episodic_06).Ammo = 999
                    strooper.Money = 5
                ElseIf gunflag = 5 And strooper.Money <> 5 Then
                    strooper.Weapons.RemoveAll()
                    strooper.Weapons(Weapon.Episodic_07).Ammo = 999
                    strooper.Money = 5
                ElseIf gunflag = 6 And strooper.Money <> 5 Then
                    strooper.Weapons.RemoveAll()
                    strooper.Weapons(Weapon.SMG_Uzi).Ammo = 999
                    strooper.Money = 5
                ElseIf gunflag = 7 And strooper.Money <> 5 Then
                    strooper.Weapons.RemoveAll()
                    strooper.Weapons(Weapon.Handgun_Glock).Ammo = 999
                    strooper.Weapons(Weapon.Rifle_M4).Ammo = 999
                    strooper.Money = 5
                End If
            Next

            trcops = World.GetAllPeds("M_Y_Cop_Traffic")
            For Each trcop In trcops
                If gunflag = 0 And trcop.Money <> 5 Then
                    trcop.Weapons.RemoveAll()
                    trcop.Weapons(Weapon.Episodic_07).Ammo = 999
                    trcop.Money = 5
                ElseIf gunflag = 1 And trcop.Money <> 5 Then
                    trcop.Weapons.RemoveAll()
                    trcop.Weapons(Weapon.SMG_Uzi).Ammo = 999
                    trcop.Money = 5
                ElseIf gunflag = 2 And trcop.Money <> 5 Then
                    trcop.Weapons.RemoveAll()
                    trcop.Weapons(Weapon.Handgun_DesertEagle).Ammo = 999
                    trcop.Money = 5
                ElseIf gunflag = 3 And trcop.Money <> 5 Then
                    trcop.Weapons.RemoveAll()
                    trcop.Weapons(Weapon.Shotgun_Basic).Ammo = 999
                    trcop.Money = 5
                ElseIf gunflag = 4 And trcop.Money <> 5 Then
                    trcop.Weapons.RemoveAll()
                    trcop.Weapons(Weapon.Handgun_Glock).Ammo = 999
                    trcop.Money = 5
                ElseIf gunflag = 5 And trcop.Money <> 5 Then
                    trcop.Weapons.RemoveAll()
                    trcop.Weapons(Weapon.Episodic_09).Ammo = 999
                    trcop.Money = 5
                ElseIf gunflag = 6 And trcop.Money <> 5 Then
                    trcop.Weapons.RemoveAll()
                    trcop.Weapons(Weapon.Episodic_06).Ammo = 999
                    trcop.Money = 5
                ElseIf gunflag = 7 And trcop.Money <> 5 Then
                    trcop.Weapons.RemoveAll()
                    trcop.Weapons(Weapon.Episodic_13).Ammo = 999
                    trcop.Money = 5
                End If
            Next

            nooses = World.GetAllPeds("M_Y_Swat")
            For Each noose In nooses
                If gunflag = 0 And noose.Money <> 5 Then
                    noose.Weapons.RemoveAll()
                    noose.Weapons(Weapon.SMG_Uzi).Ammo = 999
                    noose.Money = 5
                ElseIf gunflag = 1 And noose.Money <> 5 Then
                    noose.Weapons.RemoveAll()
                    noose.Weapons(Weapon.Handgun_Glock).Ammo = 999
                    noose.Weapons(Weapon.Shotgun_Baretta).Ammo = 999
                    noose.Money = 5
                ElseIf gunflag = 2 And noose.Money <> 5 Then
                    noose.Weapons.RemoveAll()
                    noose.Weapons(Weapon.SMG_MP5).Ammo = 999
                    noose.Money = 5
                ElseIf gunflag = 3 And noose.Money <> 5 Then
                    noose.Weapons.RemoveAll()
                    noose.Weapons(Weapon.Handgun_DesertEagle).Ammo = 999
                    noose.Weapons(Weapon.Episodic_02).Ammo = 999
                    noose.Money = 5
                ElseIf gunflag = 4 And noose.Money <> 5 Then
                    noose.Weapons.RemoveAll()
                    noose.Weapons(Weapon.SMG_Uzi).Ammo = 999
                    noose.Weapons(Weapon.Rifle_M4).Ammo = 999
                    noose.Money = 5
                ElseIf gunflag = 5 And noose.Money <> 5 Then
                    noose.Weapons.RemoveAll()
                    noose.Weapons(Weapon.Episodic_07).Ammo = 999
                    noose.Weapons(Weapon.Episodic_11).Ammo = 999
                    noose.Money = 5
                ElseIf gunflag = 6 And noose.Money <> 5 Then
                    noose.Weapons.RemoveAll()
                    noose.Weapons(Weapon.Episodic_12).Ammo = 999
                    noose.Money = 5
                ElseIf gunflag = 7 And noose.Money <> 5 Then
                    noose.Weapons.RemoveAll()
                    noose.Weapons(Weapon.Episodic_09).Ammo = 999
                    noose.Weapons(Weapon.SniperRifle_Basic).Ammo = 999
                    noose.Money = 5
                End If
            Next

            fibs = World.GetAllPeds("M_M_FBI")
            For Each fib In fibs
                If gunflag = 0 And fib.Money <> 5 Then
                    fib.Weapons.RemoveAll()
                    fib.Weapons(Weapon.Episodic_13).Ammo = 999
                    fib.Weapons(Weapon.Rifle_M4).Ammo = 999
                    fib.Money = 5
                ElseIf gunflag = 1 And fib.Money <> 5 Then
                    fib.Weapons.RemoveAll()
                    fib.Weapons(Weapon.Episodic_13).Ammo = 999
                    fib.Money = 5
                ElseIf gunflag = 2 And fib.Money <> 5 Then
                    fib.Weapons.RemoveAll()
                    fib.Weapons(Weapon.Handgun_Glock).Ammo = 999
                    fib.Weapons(Weapon.Shotgun_Baretta).Ammo = 999
                    fib.Money = 5
                ElseIf gunflag = 3 And fib.Money <> 5 Then
                    fib.Weapons.RemoveAll()
                    fib.Weapons(Weapon.SMG_MP5).Ammo = 999
                    fib.Weapons(Weapon.Rifle_AK47).Ammo = 999
                    fib.Money = 5
                ElseIf gunflag = 4 And fib.Money <> 5 Then
                    fib.Weapons.RemoveAll()
                    fib.Weapons(Weapon.SMG_MP5).Ammo = 999
                    fib.Money = 5
                ElseIf gunflag = 5 And fib.Money <> 5 Then
                    fib.Weapons.RemoveAll()
                    fib.Weapons(Weapon.Episodic_12).Ammo = 999
                    fib.Money = 5
                ElseIf gunflag = 6 And fib.Money <> 5 Then
                    fib.Weapons.RemoveAll()
                    fib.Weapons(Weapon.Episodic_13).Ammo = 999
                    fib.Weapons(Weapon.Episodic_15).Ammo = 999
                    fib.Money = 5
                ElseIf gunflag = 7 And fib.Money <> 5 Then
                    fib.Weapons.RemoveAll()
                    fib.Weapons(Weapon.Handgun_DesertEagle).Ammo = 999
                    fib.Weapons(Weapon.Episodic_11).Ammo = 999
                    fib.Money = 5
                End If
            Next

            gunflag += 1
            If gunflag = 8 Then
                gunflag = 0
            End If

        End If
    End Sub

    Private Sub console_CMD(ByVal sender As Object, ByVal e As ConsoleEventArgs) Handles MyBase.ConsoleCommand

    End Sub

    Private Sub GraphicsEventHandler(ByVal sender As Object, ByVal e As GTA.GraphicsEventArgs) Handles MyBase.PerFrameDrawing
    End Sub

    Private Sub msg(ByVal sMsg As String, ByVal time As Int32)
        Native.Function.Call("PRINT_STRING_WITH_LITERAL_STRING_NOW", "STRING", sMsg, time, 1)
    End Sub
End Class
